[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# CursorToString

Returns a string with the name for the cursor in the integer constant.

## Declaration

Source position: controls.pp line 2758

`function CursorToString(`
`Cursor: TCursor`
`):string;`

## Arguments

`Cursor` |  | Numeric constant from the TCursor range converted to a string in the routine.

## Function result

Returns a string with the name of the cursor type corresponding to the integer constant, or a value like '%-31' when Cursor is not found in the look-up table.

## Description

Calls CursorToIdent to find correct entry in look-up table.

## See also

CursorToIdent |  | Uses a look-up table to find the cursor identifier corresponding to an Integer cursor constant.